# @summary interface netdev configs
# @see https://www.freedesktop.org/software/systemd/man/latest/systemd.netdev.html
type Systemd::Interface::Netdev = Struct[{
    'Match'                     => Optional[Systemd::Interface::Netdev::Match],
    'NetDev'                    => Optional[Systemd::Interface::Netdev::Netdev],
    'Bridge'                    => Optional[Systemd::Interface::Netdev::Bridge],
    'Vlan'                      => Optional[Systemd::Interface::Netdev::Vlan],
    'MACVLAN'                   => Optional[Systemd::Interface::Netdev::Macvlan],
    'MACVTAP'                   => Optional[Systemd::Interface::Netdev::Macvlan],
    'IPVLAN'                    => Optional[Systemd::Interface::Netdev::Ipvlan],
    'IPVTAP'                    => Optional[Systemd::Interface::Netdev::Ipvlan],
    'VXLAN'                     => Optional[Systemd::Interface::Netdev::Vxlan],
    'GENEVE'                    => Optional[Systemd::Interface::Netdev::Geneve],
    'BareUDP'                   => Optional[Systemd::Interface::Netdev::Bareudp],
    'L2TP'                      => Optional[Systemd::Interface::Netdev::L2tp],
    'L2TPSession'               => Optional[Systemd::Interface::Netdev::L2tpsession],
    'MACsec'                    => Optional[Systemd::Interface::Netdev::Macsec],
    'MACsecReceiveChannel'      => Optional[Systemd::Interface::Netdev::Macsecreceivechannel],
    'MACsecTransmitAssociation' => Optional[Systemd::Interface::Netdev::Macsectransmitassociation],
    'MACsecReceiveAssociation'  => Optional[Systemd::Interface::Netdev::Macsecreceiveassociation],
    'Tunnel'                    => Optional[Systemd::Interface::Netdev::Tunnel],
    'FooOverUDP'                => Optional[Systemd::Interface::Netdev::Foooverudp],
    'Peer'                      => Optional[Systemd::Interface::Netdev::Peer],
    'VXCAN'                     => Optional[Systemd::Interface::Netdev::Vxcan],
    'Tun'                       => Optional[Systemd::Interface::Netdev::Tun],
    'Tap'                       => Optional[Systemd::Interface::Netdev::Tun],
    'WireGuard'                 => Optional[Systemd::Interface::Netdev::Wireguard],
    'WireGuardPeer'             => Optional[Systemd::Interface::Netdev::Wireguardpeer],
    'Bond'                      => Optional[Systemd::Interface::Netdev::Bond],
    'Xfrm'                      => Optional[Systemd::Interface::Netdev::Xfrm],
    'VRF'                       => Optional[Systemd::Interface::Netdev::Vrf],
    'BatmanAdvanced'            => Optional[Systemd::Interface::Netdev::Batmanadvanced],
    'IPoIB'                     => Optional[Systemd::Interface::Netdev::Ipoib],
    'WLAN'                      => Optional[Systemd::Interface::Netdev::Wlan],
}]
