# @summary netdev Tunnel section
# @see https://www.freedesktop.org/software/systemd/man/latest/systemd.netdev.html
type Systemd::Interface::Netdev::Tunnel = Struct[{
    'External'                  => Optional[Enum['yes','no']],
    'Local'                     => Optional[Variant[Enum['any', 'ipv4_link_local', 'ipv6_link_local', 'dhcp4', 'dhcp6', 'slaac'], String[1]]],
    'Remote'                    => Optional[Variant[Enum['any'], String[1]]],
    'TOS'                       => Optional[String[1]],
    'TTL'                       => Optional[Integer[1,255]],
    'DiscoverPathMTU'           => Optional[Enum['yes','no']],
    'IgnoreDontFragment'        => Optional[Enum['yes','no']],
    'IPv6FlowLabel'             => Optional[String[1]],
    'CopyDSCP'                  => Optional[Enum['yes','no']],
    'EncapsulationLimit'        => Optional[Integer[1,255]],
    'Key'                       => Optional[String[1]],
    'InputKey'                  => Optional[String[1]],
    'OutputKey'                 => Optional[String[1]],
    'Mode'                      => Optional[Enum['ip6ip6', 'ipip6', 'any']],
    'Independent'               => Optional[Enum['yes','no']],
    'AssignToLoopback'          => Optional[Enum['yes','no']],
    'AllowLocalRemote'          => Optional[Enum['yes','no']],
    'FooOverUDP'                => Optional[Enum['yes','no']],
    'FOUDestinationPort'        => Optional[Integer[1]],
    'FOUSourcePort'             => Optional[Integer[0]],
    'Encapsulation'             => Optional[Enum['FooOverUDP','GenericUDPEncapsulation']],
    'IPv6RapidDeploymentPrefix' => Optional[String[1]],
    'ISATAP'                    => Optional[Enum['yes','no']],
    'SerializeTunneledPackets'  => Optional[Enum['yes','no']],
    'ERSPANVersion'             => Optional[Integer[0,2]],
    'ERSPANIndex'               => Optional[Integer[0,1048575]],
    'ERSPANDirection'           => Optional[Enum['ingress','egress']],
    'ERSPANHardwareId'          => Optional[Integer[0,63]],
}]
