# @summary interface network DHCPServer section definition
# @see https://www.freedesktop.org/software/systemd/man/latest/systemd.network.html
type Systemd::Interface::Network::Dhcpserver = Struct[{
    'ServerAddress'        => Optional[String[1]],
    'PoolOffset'           => Optional[String[1]],
    'PoolSize'             => Optional[String[1]],
    'DefaultLeaseTimeSec'  => Optional[String[1]],
    'MaxLeaseTimeSec'      => Optional[String[1]],
    'UplinkInterface'      => Optional[String[1]],
    'EmitDNS'              => Optional[Enum['yes','no']],
    'DNS'                  => Optional[String[1]],
    'EmitNTP'              => Optional[Enum['yes','no']],
    'NTP'                  => Optional[String[1]],
    'EmitSIP'              => Optional[Enum['yes','no']],
    'SIP'                  => Optional[String[1]],
    'EmitPOP3'             => Optional[Enum['yes','no']],
    'POP3'                 => Optional[String[1]],
    'EmitSMTP'             => Optional[Enum['yes','no']],
    'SMTP'                 => Optional[String[1]],
    'EmitLPR'              => Optional[Enum['yes','no']],
    'LPR'                  => Optional[String[1]],
    'EmitRouter'           => Optional[Enum['yes','no']],
    'Router'               => Optional[String[1]],
    'EmitTimezone'         => Optional[Enum['yes','no']],
    'Timezone'             => Optional[String[1]],
    'BootServerAddress'    => Optional[String[1]],
    'BootServerName'       => Optional[String[1]],
    'BootFilename'         => Optional[String[1]],
    'IPv6OnlyPreferredSec' => Optional[String[1]],
    'SendOption'           => Optional[String[1]],
    'SendVendorOption'     => Optional[String[1]],
    'BindToInterface'      => Optional[Enum['yes','no']],
    'RelayTarget'          => Optional[String[1]],
    'RelayAgentCircuitId'  => Optional[String[1]],
    'RelayAgentRemoteId'   => Optional[String[1]],
    'RapidCommit'          => Optional[Enum['yes','no']],
    'PersistLeases'        => Optional[Enum['yes','no']],
}]
