# @summary interface network DHCPv4 section definition
# @see https://www.freedesktop.org/software/systemd/man/latest/systemd.network.html
type Systemd::Interface::Network::Dhcpv4 = Struct[{
    'RequestAddress'                 => Optional[String[1]],
    'SendHostname'                   => Optional[Enum['yes','no']],
    'Hostname'                       => Optional[String[1]],
    'MUDURL'                         => Optional[String[1]],
    'ClientIdentifier'               => Optional[String[1]],
    'VendorClassIdentifier'          => Optional[String[1]],
    'UserClass'                      => Optional[String[1]],
    'DUIDType'                       => Optional[String[1]],
    'DUIDRawData'                    => Optional[String[1]],
    'IAID'                           => Optional[String[1]],
    'RapidCommit'                    => Optional[Enum['yes','no']],
    'Anonymize'                      => Optional[Enum['yes','no']],
    'RequestOptions'                 => Optional[String[1]],
    'SendOption'                     => Optional[String[1]],
    'SendVendorOption'               => Optional[String[1]],
    'IPServiceType'                  => Optional[Enum['none','CS6', 'CS3']],
    'SocketPriority'                 => Optional[Integer[0,6]],
    'Label'                          => Optional[String[1]],
    'UseDNS'                         => Optional[Enum['yes','no']],
    'RoutesToDNS'                    => Optional[Enum['yes','no']],
    'UseNTP'                         => Optional[Enum['yes','no']],
    'RoutesToNTP'                    => Optional[Enum['yes','no']],
    'UseSIP'                         => Optional[Enum['yes','no']],
    'UseCaptivePortal'               => Optional[Enum['yes','no']],
    'UseMTU'                         => Optional[Enum['yes','no']],
    'UseHostname'                    => Optional[Enum['yes','no']],
    'UseDomains'                     => Optional[Enum['yes','no']],
    'UseRoutes'                      => Optional[Enum['yes','no']],
    'RouteMetric'                    => Optional[Integer[0,4294967295]],
    'RouteTable'                     => Optional[Variant[String[1],Integer[0,4294967295]]],
    'RouteMTUBytes'                  => Optional[String[1]],
    'QuickAck'                       => Optional[Enum['yes','no']],
    'InitialCongestionWindow'        => Optional[String[1]],
    'InitialAdvertisedReceiveWindow' => Optional[String[1]],
    'UseGateway'                     => Optional[Enum['yes','no']],
    'UseTimezone'                    => Optional[Enum['yes','no']],
    'Use6RD'                         => Optional[Enum['yes','no']],
    'IPv6OnlyMode'                   => Optional[Enum['yes','no']],
    'FallbackLeaseLifetimeSec'       => Optional[Enum['forever', 'infinity']],
    'RequestBroadcast'               => Optional[Enum['yes','no']],
    'MaxAttempts'                    => Optional[Variant[Integer[0],Enum['forever', 'infinity']]],
    'ListenPort'                     => Optional[String[1]],
    'ServerPort'                     => Optional[String[1]],
    'DenyList'                       => Optional[String[1]],
    'AllowList'                      => Optional[String[1]],
    'SendRelease'                    => Optional[Enum['yes','no']],
    'SendDecline'                    => Optional[Enum['yes','no']],
    'NetLabel'                       => Optional[String[1]],
    'NFTSet'                         => Optional[String[1]],
}]
